## mingw-w64-thorvg-1.0.0-1.src.tar.zst

=== meson_options.txt ===
option('engines',
   type: 'array',
   choices: ['sw', 'gl', 'wg', 'all'],
   value: ['sw'],
   description: 'Enable Rasterizer Engine in thorvg')

option('partial',
   type: 'boolean',
   value: true,
   description: 'Enable Partial Rendering in thorvg')

option('loaders',
   type: 'array',
   choices: ['', 'svg', 'png', 'jpg', 'lottie', 'ttf', 'webp', 'all'],
   value: ['svg', 'lottie', 'ttf'],
   description: 'Enable File Loaders in thorvg')

option('savers',
   type: 'array',
   choices: ['', 'gif', 'all'],
   value: [''],
   description: 'Enable File Savers in thorvg')

option('threads',
   type: 'boolean',
   value: true,
   description: 'Enable the multi-threading task scheduler in thorvg')

option('simd',
   type: 'boolean',
   value: false,
   description: 'Enable CPU Vectorization(SIMD) in thorvg')

option('bindings',
   type: 'array',
   choices: ['', 'capi'],
   value: [''],
   description: 'Enable API bindings')

option('tools',
   type: 'array',
   choices: ['', 'svg2png', 'lottie2gif', 'all'],
   value: [''],
   description: 'Enable building thorvg tools')

option('tests',
   type: 'boolean',
   value: false,
   description: 'Enable building Unit Tests')

option('log',
   type: 'boolean',
   value: false,
   description: 'Enable log message')

option('static',
   type: 'boolean',
   value: false,
   description: 'Force to use static linking modules in thorvg')

option('file',
   type: 'boolean',
   value: true,
   description: 'Enable File IO calls in thorvg')

option('extra',
   type: 'array',
   choices: ['', 'opengl_es', 'lottie_exp', 'openmp'],
   value: ['lottie_exp', 'openmp'],
   description: 'Enable support for extra options')

=== PKGBUILD ===
# Maintainer: Vincent Torri <vincent.torri@gmail.com>

_realname=thorvg
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=1.0.0
pkgrel=1
pkgdesc="Lightweight vector graphic library (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.thorvg.org/'
msys2_repository_url='https://github.com/thorvg/thorvg'
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-cc-libs"
         "${MINGW_PACKAGE_PREFIX}-libpng"
         "${MINGW_PACKAGE_PREFIX}-libjpeg-turbo"
         "${MINGW_PACKAGE_PREFIX}-libwebp"
         "${MINGW_PACKAGE_PREFIX}-omp")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-meson"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-pkgconf")
source=("${msys2_repository_url}/releases/download/v${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('42ba68b6ae770266e114a9f0fa56f70af8f843b63b59562f771c73c75b1d06af')

prepare() {
  cd "${srcdir}"/${_realname}
}

build() {
  MSYS2_ARG_CONV_EXCL="--prefix=" \
    meson setup \
      --prefix="${MINGW_PREFIX}" \
      --wrap-mode=nodownload \
      --buildtype=release \
      -Ddefault_library=shared \
      -Dbindings=capi \
      -Dengines=sw,gl \
      -Dloaders=all \
      -Dsavers=all \
      -Dsimd=true \
      -Dtools=all \
      build-${MSYSTEM} \
      ${_realname}

  meson compile -C build-${MSYSTEM}
}

package() {
  DESTDIR="${pkgdir}" meson install -C build-${MSYSTEM}

  install -Dm644 "${srcdir}"/${_realname}/LICENSE \
    "${pkgdir}"${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE
}
